## ide-source-snippet

ide-source-snippet

## Functions

IdeSourceSnippet * | ide_source_snippet_new ()
IdeSourceSnippet * | ide_source_snippet_copy ()
const gchar * | ide_source_snippet_get_trigger ()
void | ide_source_snippet_set_trigger ()
const gchar * | ide_source_snippet_get_language ()
void | ide_source_snippet_set_language ()
const gchar * | ide_source_snippet_get_description ()
void | ide_source_snippet_set_description ()
void | ide_source_snippet_add_chunk ()
guint | ide_source_snippet_get_n_chunks ()
gint | ide_source_snippet_get_tab_stop ()
IdeSourceSnippetChunk * | ide_source_snippet_get_nth_chunk ()
void | ide_source_snippet_get_chunk_range ()
GtkTextMark * | ide_source_snippet_get_mark_begin ()
GtkTextMark * | ide_source_snippet_get_mark_end ()
IdeSourceSnippetContext * | ide_source_snippet_get_context ()
const gchar * | ide_source_snippet_get_snippet_text ()
void | ide_source_snippet_set_snippet_text ()

## Types and Values

#define | IDE_TYPE_SOURCE_SNIPPET
| IdeSourceSnippet

## Description

## Functions

### ide_source_snippet_new ()

    IdeSourceSnippet *
    ide_source_snippet_new (const gchar *trigger,
                            const gchar *language);

### ide_source_snippet_copy ()

    IdeSourceSnippet *
    ide_source_snippet_copy (IdeSourceSnippet *snippet);

#### Returns

An IdeSourceSnippet.

[transfer full]

### ide_source_snippet_get_trigger ()

    const gchar *
    ide_source_snippet_get_trigger (IdeSourceSnippet *snippet);

### ide_source_snippet_set_trigger ()

    void
    ide_source_snippet_set_trigger (IdeSourceSnippet *snippet,
                                    const gchar *trigger);

### ide_source_snippet_get_language ()

    const gchar *
    ide_source_snippet_get_language (IdeSourceSnippet *snippet);

### ide_source_snippet_set_language ()

    void
    ide_source_snippet_set_language (IdeSourceSnippet *snippet,
                                     const gchar *language);

### ide_source_snippet_get_description ()

    const gchar *
    ide_source_snippet_get_description (IdeSourceSnippet *snippet);

### ide_source_snippet_set_description ()

    void
    ide_source_snippet_set_description (IdeSourceSnippet *snippet,
                                        const gchar *description);

### ide_source_snippet_add_chunk ()

    void
    ide_source_snippet_add_chunk (IdeSourceSnippet *snippet,
                                  IdeSourceSnippetChunk *chunk);

### ide_source_snippet_get_n_chunks ()

    guint
    ide_source_snippet_get_n_chunks (IdeSourceSnippet *snippet);

### ide_source_snippet_get_tab_stop ()

    gint
    ide_source_snippet_get_tab_stop (IdeSourceSnippet *snippet);

### ide_source_snippet_get_nth_chunk ()

    IdeSourceSnippetChunk *
    ide_source_snippet_get_nth_chunk (IdeSourceSnippet *snippet,
                                      guint n);

#### Returns

.

[transfer none]

### ide_source_snippet_get_chunk_range ()

    void
    ide_source_snippet_get_chunk_range (IdeSourceSnippet *snippet,
                                        IdeSourceSnippetChunk *chunk,
                                        GtkTextIter *begin,
                                        GtkTextIter *end);

### ide_source_snippet_get_mark_begin ()

    GtkTextMark *
    ide_source_snippet_get_mark_begin (IdeSourceSnippet *snippet);

#### Returns

.

[transfer none]

### ide_source_snippet_get_mark_end ()

    GtkTextMark *
    ide_source_snippet_get_mark_end (IdeSourceSnippet *snippet);

#### Returns

.

[transfer none]

### ide_source_snippet_get_context ()

    IdeSourceSnippetContext *
    ide_source_snippet_get_context (IdeSourceSnippet *snippet);

#### Returns

.

[transfer none]

### ide_source_snippet_get_snippet_text ()

    const gchar *
    ide_source_snippet_get_snippet_text (IdeSourceSnippet *snippet);

### ide_source_snippet_set_snippet_text ()

    void
    ide_source_snippet_set_snippet_text (IdeSourceSnippet *snippet,
                                         const gchar *snippet_text);

## Types and Values

### IDE_TYPE_SOURCE_SNIPPET

    #define IDE_TYPE_SOURCE_SNIPPET (ide_source_snippet_get_type())

### IdeSourceSnippet

    typedef struct _IdeSourceSnippet IdeSourceSnippet;